cURL
curl "https://api.phrase.com/v2/projects/:project_id/keys/:id?branch=my-feature-branch" \
-u USERNAME_OR_ACCESS_TOKENphrase keys show \
--project_id <project_id> \
--id <id> \
--branch my-feature-branch \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/keys/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "home.index.headline",
"description": "My description for this key...",
"name_hash": "1b31d2580ce324f246f66b3be00ed399",
"plural": false,
"use_ordinal_rules": false,
"tags": [
"awesome-feature",
"needs-proofreading"
],
"data_type": "string",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"name_plural": "home.index.headlines",
"comments_count": 2,
"max_characters_allowed": 140,
"screenshot_url": "http://assets.example.com/screenshot.png",
"unformatted": false,
"xml_space_preserve": false,
"original_file": "",
"format_value_type": "",
"creator": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "joe.doe",
"name": "Joe Doe"
},
"custom_metadata": {
"fruit": "Apple",
"vegetable": "Tomato"
}
}Keys
Get a single key
Get details on a single key for a given project.
GET
/
projects
/
{project_id}
/
keys
/
{id}
cURL
curl "https://api.phrase.com/v2/projects/:project_id/keys/:id?branch=my-feature-branch" \
-u USERNAME_OR_ACCESS_TOKENphrase keys show \
--project_id <project_id> \
--id <id> \
--branch my-feature-branch \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/keys/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "home.index.headline",
"description": "My description for this key...",
"name_hash": "1b31d2580ce324f246f66b3be00ed399",
"plural": false,
"use_ordinal_rules": false,
"tags": [
"awesome-feature",
"needs-proofreading"
],
"data_type": "string",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"name_plural": "home.index.headlines",
"comments_count": 2,
"max_characters_allowed": 140,
"screenshot_url": "http://assets.example.com/screenshot.png",
"unformatted": false,
"xml_space_preserve": false,
"original_file": "",
"format_value_type": "",
"creator": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "joe.doe",
"name": "Joe Doe"
},
"custom_metadata": {
"fruit": "Apple",
"vegetable": "Tomato"
}
}Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Query Parameters
specify the branch to use
Response
OK
Show child attributes
Show child attributes
Example:
{ "id": "abcd1234cdef1234abcd1234cdef1234", "username": "johndoe", "name": "John Doe", "gravatar_uid": "205e460b479e2e5b48aec07710c08d50" }
Show child attributes
Show child attributes
Was this page helpful?
⌘I